Bug 999942 - Cannot detect SATA disk behind port multiplier
Cannot detect SATA disk behind port multiplier
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 08:08 EDT by Paolo De Marino
Modified: 2014-12-03 16:34 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 11:06:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
p.demarino: fedora_requires_release_note-
p.demarino: needinfo-
p.demarino: needinfo-


Attachments (Terms of Use)
Dmesg dump (machine WITH problem) (85.84 KB, text/x-log)
2013-08-22 08:08 EDT, Paolo De Marino
no flags Details

  None (edit)
Description Paolo De Marino 2013-08-22 08:08:39 EDT
Created attachment 789167 [details]
Dmesg dump (machine WITH problem)

Description of problem: Port multiplier inaccessible on kernel 3.10.7-100. Hardware works when attached to another computer.

Please see attached dmesg dump, see what happens around 15 seconds in: hardware is not recognized after a series of errors. A different machine (Ubuntu running kernel 3.8.0) works perfectly when attached to the same hardware through the same cable. Relevant piece of kern.log *from the machine that works* (note the "link slow please be patient", missing from the dmesg in the machine that didn't work:

Aug 22 00:04:38 paolo-Gazelle-Professional kernel: [452142.844792] ata3: exception Emask 0x10 SAct 0x0 SErr 0x4050000 action 0xe frozen
Aug 22 00:04:38 paolo-Gazelle-Professional kernel: [452142.844801] ata3: irq_stat 0x00400040, connection status changed
Aug 22 00:04:38 paolo-Gazelle-Professional kernel: [452142.844807] ata3: SError: { PHYRdyChg CommWake DevExch }
Aug 22 00:04:38 paolo-Gazelle-Professional kernel: [452142.844819] ata3: hard resetting link
Aug 22 00:04:44 paolo-Gazelle-Professional kernel: [452148.599356] ata3: link is slow to respond, please be patient (ready=0)
Aug 22 00:04:45 paolo-Gazelle-Professional kernel: [452149.773583] ata3: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
Aug 22 00:04:45 paolo-Gazelle-Professional kernel: [452149.774452] ata3.00: ATA-8: ST2000DM001-1CH164, CC24, max UDMA/133
Aug 22 00:04:45 paolo-Gazelle-Professional kernel: [452149.774461] ata3.00: 3907029168 sectors, multi 0: LBA48 NCQ (depth 31/32), AA
Aug 22 00:04:45 paolo-Gazelle-Professional kernel: [452149.775522] ata3.00: configured for UDMA/133
Aug 22 00:04:45 paolo-Gazelle-Professional kernel: [452149.775702] ata3: EH complete
Aug 22 00:05:14 paolo-Gazelle-Professional kernel: [452179.021001] ata3: exception Emask 0x50 SAct 0x0 SErr 0x4090800 action 0xe frozen
Aug 22 00:05:14 paolo-Gazelle-Professional kernel: [452179.021007] ata3: irq_stat 0x00400040, connection status changed
Aug 22 00:05:14 paolo-Gazelle-Professional kernel: [452179.021010] ata3: SError: { HostInt PHYRdyChg 10B8B DevExch }
Aug 22 00:05:14 paolo-Gazelle-Professional kernel: [452179.021016] ata3: hard resetting link
Aug 22 00:05:15 paolo-Gazelle-Professional kernel: [452179.743642] ata3: SATA link down (SStatus 0 SControl 300)
Aug 22 00:05:20 paolo-Gazelle-Professional kernel: [452184.735975] ata3: hard resetting link
Aug 22 00:05:20 paolo-Gazelle-Professional kernel: [452185.055451] ata3: SATA link down (SStatus 0 SControl 300)
Aug 22 00:05:20 paolo-Gazelle-Professional kernel: [452185.055467] ata3: limiting SATA link speed to 1.5 Gbps


Version-Release number of selected component (if applicable): kernel 3.10.7-100


How reproducible: Always


Steps to Reproduce:
1. Attach port multiplier
2. Turn it on or turn computer on.

Actual results: Disks not detected.


Expected results: Disks deteced and functional.


Additional info:
Comment 1 Paolo De Marino 2013-08-22 09:34:55 EDT
Forgot to mention: the chipset of the SATA port multiplier is a Silicon Image 3826.
Comment 2 Justin M. Forbes 2013-10-18 17:02:31 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 3 Justin M. Forbes 2013-11-27 11:06:55 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.
Comment 4 Paolo De Marino 2014-12-03 16:34:42 EST
Sorry - I don't have the appliance any more. Thanks for your help and sorry for the delay.

Note You need to log in before you can comment on or make changes to this bug.